org.eclipse.microprofile.openapi.annotations.media

## Annotation Type Content

    @Target(value={})
     @Retention(value=RUNTIME)
     @Inherited
    public @interface Content

This object provides schema and examples for a particular media type.

See Also:
  OpenAPI Specification Media Type Object

### Optional Element Summary

Optional Elements
`Encoding[]` `encoding` An array of encoding corresponding to a map of property name and its encoding information in MediaType model.
`String` `example` A free-form property to include an example of an instance for this content.
`ExampleObject[]` `examples` An array of examples used to show the use of the associated schema.
`String` `mediaType` The media type that this object applies to.
`Schema` `schema` The schema defining the type used for the request body.

### Element Detail

#### mediaType

    public abstract String mediaType

The media type that this object applies to.

Returns:
  the media type value

Default:
  ""

#### examples

    public abstract ExampleObject[] examples

An array of examples used to show the use of the associated schema.

Returns:
  the list of examples

Default:
  {}

#### example

    public abstract String example

A free-form property to include an example of an instance for this content.

Returns:
  an example of this content

Default:
  ""

#### schema

    public abstract Schema schema

The schema defining the type used for the request body.

Returns:
  the schema of this media type

Default:
  @org.eclipse.microprofile.openapi.annotations.media.Schema

#### encoding

    public abstract Encoding[] encoding

An array of encoding corresponding to a map of property name and its encoding information in MediaType model. The key, being the property name, MUST exist in the schema as a property.

The encoding object SHALL only apply to requestBody objects when the media type is multipart or application/x-www-form-urlencoded.

Returns:
  the array of encodings

Default:
  {}